This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 230978 - A timing window that causes double freeing file_lock entry
A timing window that causes double freeing file_lock entry
Status: CLOSED DUPLICATE of bug 230976
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-05 04:18 EST by Tadashi Iwashita
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 11:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash "log" command output at kernel panic (24.62 KB, text/plain)
2007-03-05 04:18 EST, Tadashi Iwashita
no flags Details

  None (edit)
Description Tadashi Iwashita 2007-03-05 04:18:08 EST
Description of problem:
Encountered (1) a kernel panic and (2) a system hang on web server running 
with mod_jk when ApacheBench tool from another node started. 

(1) kernel panic
Panic at line 168 on fs/lock.c displaying "Attempting to free lock on active 
lock list" due to a bad fl_link. Please see the the output of crash "log" 
command (attached as kernel_panic.txt).
(2) system hang
Loop at line 737 on fs/lock.c with holding lock_kernel due to a self-linked 
fl_next. Please see the output of crash "log" command (attached as 
system_hang.txt).

Version-Release number of selected component (if applicable):
kernel-2.6.9-42.ELsmp
mod_jk-1.2.20

How reproducible:
Always

Steps to Reproduce:
Just run ApacheBench tool for SMP web server.
  
Additional info:
With some kinds of kernel trapper and by looking at the kernel dump, it is 
most likely that the problem was caused by double freeing file_lock entry at a 
timing window. Checked LKML, then found http://lkml.org/lkml/2006/5/17/261 and 
the patch for this issue has already been applied to upper version.

ApacheBench worked normally with the patch (attached flock.patch), so please 
consider applying this patch to the next stability updates or as a security 
update. Thanks.
Comment 1 Tadashi Iwashita 2007-03-05 04:18:08 EST
Created attachment 149252 [details]
crash "log" command output at kernel panic
Comment 2 Tadashi Iwashita 2007-03-06 03:40:58 EST
Please cancel this entry because the same problem has been reported on 
ID=230976. I pushed "commit" button twice by mistake.
Comment 3 Linda Wang 2007-03-09 11:37:31 EST

*** This bug has been marked as a duplicate of 230976 ***

Note You need to log in before you can comment on or make changes to this bug.